// utils/ethiopianYears.ts
export const generateEthiopianYearOptions = (yearsAhead = 5) => {
  const today = new Date();
  let currentYear = today.getFullYear() - 8;
  const month = today.getMonth() + 1;
  const day = today.getDate();

  if (month > 9 || (month === 9 && day >= 11)) currentYear += 1;

  return Array.from({ length: yearsAhead + 1 }, (_, i) => {
    const year = currentYear + i;
    return { label: year.toString(), value: year.toString() };
  });
};
